Global SettingsUpdate Hash Settings

Update Hash Settings

update stream hash setting

curl -X POST "https://api.5centscdn.com/v2/streams/settings/hash" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "enabled": "Y",
  "hashrestream": "N",
  "extension": ".mp4",
  "key": "mysecretkey"
}'
{
  "result": "success",
  "message": "Stream Settings Updated. Please wait till the deployment completes."
}
POST
/streams/settings/hash
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
enabledstring

Enable or disable hash stream. Y means enabled, N means disabled.

hashrestreamstring

Values can be Y or N. Set to Y if hash restream should be enabled. Set to N if hash restream should not be enabled.

extensionstring

Stream extension value should be .sdp or .mp4

keystring

Use Hash Salt to change the stream hex instantly

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
enabledstring

Enable or disable hash stream. Y means enabled, N means disabled.

Example:
Y
hashrestreamstring

Values can be Y or N. Set to Y if hash restream should be enabled. Set to N if hash restream should not be enabled.

Example:
N
extensionstring

Stream extension value should be .sdp or .mp4

Example:
.mp4
keystring

Use Hash Salt to change the stream hex instantly

Example:
mysecretkey

Responses

resultstring

Status of the API response.

messagestring

Human-readable message describing the result.